## org.hibernate.id
Interface IdentifierGeneratorAggregator

All Known Implementing Classes:
  CompositeNestedGeneratedValueGenerator

    public interface IdentifierGeneratorAggregator

Identifies `generators` which potentially aggregate other `PersistentIdentifierGenerator` generators.

Initially this is limited to `CompositeNestedGeneratedValueGenerator`

Author:
  Steve Ebersole

Method Summary
`void` `registerPersistentGenerators(Map generatorMap)` Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

Method Detail

### registerPersistentGenerators

    void registerPersistentGenerators(Map generatorMap)

  Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

  Parameters:
    `generatorMap` - The map of generators.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.